SystemOrganization addCategory: #'Pier-Debugging'!

!PRPierMain methodsFor: '*pier-debugging-override' stamp: 'kph 8/16/2007 15:48'!
forbidden: aRequest

	Preferences haltOnForbidden  ifTrue: [ self halt ].

	self return: (WAResponse forbidden: aRequest url)! !

Object subclass: #WADebugging
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Debugging'!

!WADebugging class methodsFor: 'as yet unclassified' stamp: 'kph 8/16/2007 15:51'!
initialize
 
	Preferences addBooleanPreference: #haltOnForbidden categories: #( seaside ) default: false balloonHelp: 'halt when user accesses a forbidden page'.
	
	Preferences addBooleanPreference: #haltOnDbCommit categories: #( seaside ) default: false balloonHelp: 'halt when write is made to database (if you have one)'. 
	
	Preferences addBooleanPreference: #debugInvalidLogin categories: #( seaside ) default: false balloonHelp: 'halt when pier login is invalid'.
	
	Preferences addBooleanPreference: #debugPierFormErrors categories: #( seaside ) default: false balloonHelp: 'halt when pier form validaton error occurs'.
	
	Preferences addBooleanPreference: #dbLogEveryRowReturned categories: #( seaside ) default: false balloonHelp: 'log everything from a db query'.

! !

!PRContentsWidget methodsFor: '*pier-debugging-override' stamp: 'kph 8/15/2007 11:43'!
onAnswerCommand: aCommand
	aCommand isNil
		ifTrue: [ ^ self context: (self context structure: self context structure) ].
	[ aCommand execute ]
		on: Error
		do: [ :err | 
			 
			Preferences debugPierFormErrors ifTrue: [ err pass ].
			
			^ self component errors add: err.  ].
	self context: aCommand answer! !

!PULogin methodsFor: '*pier-debugging-override' stamp: 'kph 8/16/2007 15:56'!
invalidLogin

	Preferences haltOnInvalidLogin ifTrue: [ self halt ].

	PUInvalidLogin
		description: self description
		signal: 'Invalid username or password.'! !
WADebugging initialize!
